#
# Conditional build:
%bcond_with	tests	# do not perform "make test"

%define		module	django-assets
Summary:	Asset management for Django, to compress and merge CSS and Javascript files
Name:		python-%{module}
Version:	0.12
Release:	1
License:	BSD
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/d/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	8360d0f615bb68391ecf2fde38e34ec1
URL:		http://github.com/miracle2k/django-assets
BuildRequires:	python-devel
BuildRequires:	python-django
BuildRequires:	python-nose
BuildRequires:	python-webassets >= 0.8
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	sphinx-pdg-2
Requires:	python-django
Requires:	python-webassets >= 0.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Integrates the webassets library with Django, adding support for
merging, minifying and compiling CSS and Javascript files.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%if %{with tests}
# Unittests can't be run yet: https://github.com/miracle2k/django-assets/issues/10
%{__python} setup.py test
%endif

# generate html docs
sphinx-build-2 docs html
# remove the sphinx-build leftovers
rm -r html/.{doctrees,buildinfo}

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc html README.rst LICENSE
%{py_sitescriptdir}/django_assets
%{py_sitescriptdir}/django_assets-%{version}-py*.egg-info
%changelog
* Thu Mar 28 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-django-assets.git;a=log;h=master

* Thu Mar 28 2019 Jan Rękorajski <baggins@pld-linux.org> 2d93938
- up to 0.12

* Wed Jan 30 2019 Jan Rękorajski <baggins@pld-linux.org> 4b3f93c
- release 2 (by relup.sh)

* Sun May 15 2016 Jan Rękorajski <baggins@pld-linux.org> 62c0b5a
- up to 0.11

* Mon Nov 30 2015 Jacek Konieczny <jajcus@jajcus.net> b122e11
- fix doc build

* Mon Nov 30 2015 Jacek Konieczny <jajcus@jajcus.net> bd1ddbf
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> a08fa55
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5bd7a21
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 840ad83
- automatic change: use py_build/py_install macros

* Sun Mar 17 2013 Elan Ruusamäe <glen@delfi.ee> c46f6b0
- currect dep for sphinx-build package

* Sun Mar 17 2013 Elan Ruusamäe <glen@delfi.ee> 7d4c3af
- new, version 0.8

